using System.Text.Json.Serialization;

namespace ReportingServices.Shared.Models.ProductionReport;
public class ScheduledEvent
{
    [JsonPropertyName("REACT_NO")]
    public string REACT_NO { get; set; }
    [JsonPropertyName("WO_NO")]
    public string WO_NO { get; set; }
    [JsonPropertyName("PROD_SPEC_ID")]
    public string PROD_SPEC_ID { get; set; }
    [JsonPropertyName("START_DTM")]
    public DateTime START_DTM { get; set; }
    [JsonPropertyName("STOP_DTM")]
    public DateTime STOP_DTM { get; set; }
    [JsonPropertyName("BLOCKOUT")]
    public string BLOCKOUT { get; set; }
    [JsonPropertyName("BLOCKOUT_TYPE")]
    public string BLOCKOUT_TYPE { get; set; }
}
